Connection Manager not Host Offline

General support for problems installing or using Deluge
Post Reply
raspberryDeluge
New User
New User
Posts: 4
Joined: Sat Nov 13, 2021 9:51 pm

Connection Manager not Host Offline

Post by raspberryDeluge »

Hello,

I have installed Deluge and excited to get it working. I can log in to the localhost browser:8112 and I enter my new password.

The Connection Manager shows Status: Offline and when I select the host and Start Daemon I get nothing.. if I look at the Terminal, I see errors after I click Start.

------------------------ appears after in terminal I click Start Daemon -------------------
Unhandled error in Deferred:
16:54:14 [CRITICAL][twisted :154 ] Unhandled error in Deferre d:

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/deluge/ui/web/json_api.py", line 122, in _exec_local
return meth(*params)
File "/usr/lib/python3/dist-packages/deluge/ui/web/auth.py", line 256, in logi n
log.error('Login failed (ClientIP %s)', __request__.getClientIP())
File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1613, in unwindGenerator
return _cancellableInlineCallbacks(gen)
File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1529, in _cancellableInlineCallbacks
_inlineCallbacks(None, g, status)
--- <exception caught here> ---
File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 1418, in _inlineCallbacks
result = g.send(result)
File "/usr/lib/python3/dist-packages/deluge/log.py", line 79, in error
yield LoggingLoggerClass.error(self, msg, *args, **kwargs)
File "/usr/lib/python3.9/logging/__init__.py", line 1471, in error
self._log(ERROR, msg, args, **kwargs)
File "/usr/lib/python3.9/logging/__init__.py", line 1573, in _log
fn, lno, func, sinfo = self.findCaller(stack_info, stacklevel)
builtins.TypeError: findCaller() takes from 1 to 2 positional arguments but 3 we re given

Temporarily disabling observer LegacyLogObserverWrapper(<bound method TwistedLog gingObserver.emit of <deluge.log.TwistedLoggingObserver object at 0xb57b17a8>>) due to exception: [Failure instance: Traceback: <class 'TypeError'>: findCaller( ) takes from 1 to 2 positional arguments but 3 were given
/usr/lib/python3/dist-packages/twisted/web/server.py:222:process
/usr/lib/python3/dist-packages/twisted/internet/defer.py:962:__del__
/usr/lib/python3/dist-packages/twisted/logger/_logger.py:190:failure
/usr/lib/python3/dist-packages/twisted/logger/_logger.py:144:emit
--- <exception caught here> ---
/usr/lib/python3/dist-packages/twisted/logger/_observer.py:131:__call__
/usr/lib/python3/dist-packages/twisted/logger/_legacy.py:93:__call__
/usr/lib/python3/dist-packages/deluge/log.py:204:emit
/usr/lib/python3.9/logging/__init__.py:1489:critical
/usr/lib/python3.9/logging/__init__.py:1573:_log
]
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/twisted/web/server.py", line 222, in proc ess
self.postpath = list(map(unquote, self.path[1:].split(b'/')))
File "/usr/lib/python3/dist-packages/twisted/internet/defer.py", line 962, in __del__
log.failure(format,
File "/usr/lib/python3/dist-packages/twisted/logger/_logger.py", line 190, in failure
self.emit(level, format, log_failure=failure, **kwargs)
File "/usr/lib/python3/dist-packages/twisted/logger/_logger.py", line 144, in emit
self.observer(event)
--- <exception caught here> ---
File "/usr/lib/python3/dist-packages/twisted/logger/_observer.py", line 131, i n __call__
observer(event)
File "/usr/lib/python3/dist-packages/twisted/logger/_legacy.py", line 93, in _ _call__
self.legacyObserver(event)
File "/usr/lib/python3/dist-packages/deluge/log.py", line 204, in emit
getattr(LoggingLoggerClass, event_dict['log_level'].name)(
File "/usr/lib/python3.9/logging/__init__.py", line 1489, in critical
self._log(CRITICAL, msg, args, **kwargs)
File "/usr/lib/python3.9/logging/__init__.py", line 1573, in _log
fn, lno, func, sinfo = self.findCaller(stack_info, stacklevel)
builtins.TypeError: findCaller() takes from 1 to 2 positional arguments but 3 we re given

Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 23, in <modu le>
import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/deluged", line 33, in <module>
sys.exit(load_entry_point('deluge==2.0.3', 'console_scripts', 'deluged')())
File "/usr/lib/python3/dist-packages/deluge/core/daemon_entry.py", line 90, in start_daemon
from deluge.core.daemon import is_daemon_running
File "/usr/lib/python3/dist-packages/deluge/core/daemon.py", line 22, in <modu le>
from deluge.core.core import Core
File "/usr/lib/python3/dist-packages/deluge/core/core.py", line 28, in <module >
from deluge._libtorrent import LT_VERSION, lt
File "/usr/lib/python3/dist-packages/deluge/_libtorrent.py", line 25, in <modu le>
import libtorrent as lt
ImportError: /lib/arm-linux-gnueabihf/libtorrent-rasterbar.so.10: undefined symb ol: __atomic_fetch_add_8
pi@raspberrypi:~

Thoughts??

Thank you!!!
mhertz
Moderator
Moderator
Posts: 1324
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Connection Manager not Host Offline

Post by mhertz »

Try downgrade libtorrent if possible, as I believe an issue with how libtorrent is built and platform used I.e missing atomic support. Little more info here, though not much unfortunetly, but a user reported to workaround it by downgrading to libtorrent 1.2.10,though on Mac, but regardless.

viewtopic.php?t=56009
raspberryDeluge
New User
New User
Posts: 4
Joined: Sat Nov 13, 2021 9:51 pm

Re: Connection Manager not Host Offline

Post by raspberryDeluge »

ahhh good to know. Thank you for sharing... His post was running on MacOS.. is there an easy step to downgrade or how to go about that in Raspbian?
mhertz
Moderator
Moderator
Posts: 1324
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Connection Manager not Host Offline

Post by mhertz »

I don't like posting "I don't know" kinda postings, but on the other hand didn't want to make seem like I'm ignoring you, or forgot, so anyway, hopefully others in the know can lend you a hand.

I suspect you need find older arm version of libtorrent-rasterbar e.g v1.2.10 if possible(as that Mac user reported, facing same libatomic issue), and install with apt(-get) manually, and hopefully not enter a dependency issue where need downgrade multiple other packages e.g boost and whatnot. Maybe also a never version would help, if possible to find, instead of only looking up the older versions.

Maybe instead can change /etc/apt/sources.list to include an older or newer repo-line(like when on Debian changing to sid instead of stable), and then 'sudo apt update' and see which versions available from 'sudo apt list -a libtorrent-rasterbar'(and/or 'python3-libtorrent') and Install with 'sudo apt install libtorrent-rasterbar=version_number_found_in_previous_command'.

Sorry again for such vague posting and as said hopefully others can lend you a (proper) hand.

Good luck :)
raspberryDeluge
New User
New User
Posts: 4
Joined: Sat Nov 13, 2021 9:51 pm

Re: Connection Manager not Host Offline

Post by raspberryDeluge »

ok, thanks for replying and that's for the information.. :) Ya, I'm not strong in Github.. haven't really used it much other than following steps in installs... so not sure how to find the install to download for Rasbian.. I found "https://github.com/arvidn/libtorrent/tr ... ent-1.2.10".

If there is an easy step(s) I can follow to run the 1.2.10 install.. I can do that!! :)
mhertz
Moderator
Moderator
Posts: 1324
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Connection Manager not Host Offline

Post by mhertz »

I'm not sure how build libtorrent from source on raspbian, sorry, as per the link you found(I mean regarding deps like boost-libs and openssl and whatnot matching your system etc), and would be easier if could find the prebuilt deb package.

I quickly looked, and there's different prebuilt debs, but note as said before that I don't know if will need other deps than you currently have.

These two pages was easiest, but note I don't know the pages and take no liability - normally I would find a more official page, but this was just easier as had all the versions listed, especially 1.2.10 which was scarse otherwise.

I don't know if you have arm64 or arm-hf, so here's both and you probably need both libtorrent-rasterbar and python3-libtorrent e.g. v1.2.10 or whatever, and again, do at own responsibility:

arm64:
https://es.osdn.net/projects/seedbox-so ... rasterbar/

arm-hf:
https://es.osdn.net/projects/seedbox-so ... rasterbar/

'sudo apt install PATH-TO-DEB'. (or 'sudo dpkg -i PATH-TO-DEB')

Again, if others have some better help to give then please jump in.
raspberryDeluge
New User
New User
Posts: 4
Joined: Sat Nov 13, 2021 9:51 pm

Re: Connection Manager not Host Offline

Post by raspberryDeluge »

I appreciate you jumping in and helping. Thanks :) I'll prob do another work around from another machine and move some files around.. I don't want to use up your good graces :) and time..:) No biggie now that I found a work around...

But thank you for helping!!!!! <thumbs up>
mhertz
Moderator
Moderator
Posts: 1324
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Connection Manager not Host Offline

Post by mhertz »

Thank you for your kind post mate, appreciated :) Glad to hear you found a workaround also, good job.
jools772
Member
Member
Posts: 22
Joined: Fri Oct 25, 2019 8:07 am

Re: Connection Manager not Host Offline

Post by jools772 »

I managed to build libtorrent 1.2.14.0 on raspbian bullseye arm64. You can follow this wiki:

https://dev.deluge-torrent.org/wiki/Building/libtorrent

Except use this line for configure:

Code: Select all

LIBS=-latomic ./configure --enable-logging=default --enable-python-binding --with-libiconv --with-boost-libdir=/usr/lib/aarch64-linux-gnu/
It builds ok and also installs ok. Sometimes deluge daemon will startup according to systemd, but actually never pass the state where it starts the rpcserver. It doesn't happen every time and if you restart deluged it will eventually work.
Post Reply